-- Laserstrike for Zen X-Fi 2
-- Based on Laserstrike for Windows by Kevin Ng.
-- Graphics, sound and help contents by Kevin Ng.
-- Levels by Badga.
-- Code by Ben Ryves.

require "tiles"
require "level"
require "laser"
require "sounds"
require "game"
require "dialog"
require "menu"
require "settings"
require "help"

tiles.load()
sounds.load()
game.load()

while menu.result ~= "exit" do
	menu.result = menu.show()
	if menu.result == "start" then
		game.quit = false
		while not game.quit do
			game.showLevelSelection()
			if not game.quit then
				game.start()
				game.run()
			end
		end
	elseif menu.result == "help" then
		help.show()
	elseif menu.result == "about" then
		dialog.show("about", { "ok" }, "icon")
	end
end


game.close()
sounds.close()
tiles.close()